<?php $__env->startSection('title', __('backend.editPermissions')); ?>
<?php $__env->startSection('content'); ?>
    <div class="padding">
        <div class="box m-b-0">
            <div class="box-header dker">
                <h3><i class="material-icons">&#xe3c9;</i> <?php echo e(__('backend.editPermissions')); ?></h3>
                <small>
                    <a href="<?php echo e(route('adminHome')); ?>"><?php echo e(__('backend.home')); ?></a> /
                    <a href=""><?php echo e(__('backend.settings')); ?></a> /
                    <a href=""><?php echo e(__('backend.usersPermissions')); ?></a>
                </small>
            </div>
            <div class="box-tool">
                <ul class="nav">
                    <li class="nav-item inline">
                        <a class="nav-link" href="<?php echo e(route("users")); ?>">
                            <i class="material-icons md-18">×</i>
                        </a>
                    </li>
                </ul>
            </div>
        </div>

        <?php
        $tab_1 = "active";
        $tab_2 = "";
        $tab_3 = "";
        if (Session::has('tab')) {
            if (Session::get('tab') == "home") {
                $tab_1 = "";
                $tab_2 = "active";
                $tab_3 = "";
            }
        }
        ?>
        <div class="box nav-active-border b-info">
            <ul class="nav nav-md">
                <li class="nav-item inline">
                    <a class="nav-link <?php echo e($tab_1); ?>" href data-toggle="tab" data-target="#tab_details">
                        <span class="text-md"><i class="material-icons">
                                &#xe31e;</i> <?php echo e(__('backend.editPermissions')); ?></span>
                    </a>
                </li>
                <li class="nav-item inline">
                    <a class="nav-link  <?php echo e($tab_2); ?>" href data-toggle="tab" data-target="#tab_custom">
                    <span class="text-md"><i class="material-icons">
                            &#xe31f;</i> <?php echo e(__('backend.customHome')); ?></span>
                    </a>
                </li>
            </ul>
            <div class="tab-content clear b-t">
                <div class="tab-pane  <?php echo e($tab_1); ?>" id="tab_details">
                    <div class="box-body">
                        <?php echo e(Form::open(['route'=>['permissionsUpdate',$Permissions->id],'method'=>'POST'])); ?>

                        <div class="form-group row">
                            <label for="name"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.title'); ?>

                            </label>
                            <div class="col-sm-10">
                                <?php echo Form::text('name',$Permissions->name, array('placeholder' => '','class' => 'form-control','id'=>'name','required'=>'')); ?>

                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="permissions1"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.dataManagements'); ?></label>
                            <div class="col-sm-10">
                                <div class="radio">
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('view_status','1',($Permissions->view_status==1) ? true : false, array('id' => 'view_status1','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.dataManagements1')); ?>

                                    </label>
                                    <br>
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('view_status','0',($Permissions->view_status==0) ? true : false, array('id' => 'view_status2','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.dataManagements2')); ?>

                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="analytics_status"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.activeApps'); ?>

                            </label>
                            <div class="col-sm-10">
                                <div class="row">

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('analytics_status','1',($Permissions->analytics_status==1) ? true : false, array('id' => 'analytics_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="analytics_status"><?php echo e(__('backend.visitorsAnalytics')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('newsletter_status','1',($Permissions->newsletter_status==1) ? true : false, array('id' => 'newsletter_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="newsletter_status"><?php echo e(__('backend.newsletter')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('inbox_status','1',($Permissions->inbox_status==1) ? true : false, array('id' => 'inbox_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="inbox_status"><?php echo e(__('backend.siteInbox')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('calendar_status','1',($Permissions->calendar_status==1) ? true : false, array('id' => 'calendar_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="calendar_status"><?php echo e(__('backend.calendar')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('banners_status','1',($Permissions->banners_status==1) ? true : false, array('id' => 'banners_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="banners_status"><?php echo e(__('backend.adsBanners')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('settings_status','1',($Permissions->settings_status==1) ? true : false, array('id' => 'settings_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="settings_status"><?php echo e(__('backend.generalSettings')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="checkbox">
                                            <label class="ui-check">
                                                <?php echo Form::checkbox('webmaster_status','1',($Permissions->webmaster_status==1) ? true : false, array('id' => 'webmaster_status')); ?>

                                                <i class="dark-white"></i><label
                                                    for="webmaster_status"><?php echo e(__('backend.webmasterTools')); ?></label>
                                            </label>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="data_sections0"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.activeSiteSections'); ?>

                            </label>
                            <div class="col-sm-10">
                                <div class="row">
                                    <?php
                                    $i = 0;
                                    $title_var = "title_" . @Helper::currentLanguage()->code;
                                    $title_var2 = "title_" . env('DEFAULT_LANGUAGE');
                                    ?>
                                    <?php $__currentLoopData = $GeneralWebmasterSections; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $WebSection): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                        if ($WebSection->$title_var != "") {
                                            $WSectionTitle = $WebSection->$title_var;
                                        } else {
                                            $WSectionTitle = $WebSection->$title_var2;
                                        }

                                        $data_sections_arr = explode(",", $Permissions->data_sections);
                                        ?>
                                        <div class="col-sm-4">
                                            <div class="checkbox">
                                                <label class="ui-check">
                                                    <?php echo Form::checkbox('data_sections[]',$WebSection->id,(in_array($WebSection->id,$data_sections_arr)) ? true : false, array('id' => 'data_sections'.$i)); ?>

                                                    <i class="dark-white"></i><label
                                                        for="data_sections<?php echo e($i); ?>"><?php echo $WSectionTitle; ?></label>
                                                </label>
                                            </div>
                                        </div>
                                        <?php $i++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="add_status1"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.topicsStatus'); ?></label>
                            <div class="col-sm-10">
                                <div class="radio">
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('active_status','1',($Permissions->active_status==1) ? true : false, array('id' => 'active_status1','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.active')); ?>

                                    </label>
                                    &nbsp; &nbsp;
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('active_status','0',($Permissions->active_status==0) ? true : false, array('id' => 'active_status2','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.notActive')); ?>

                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="add_status1"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.addPermission'); ?></label>
                            <div class="col-sm-10">
                                <div class="radio">
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('add_status','1',($Permissions->add_status==1) ? true : false, array('id' => 'add_status1','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.yes')); ?>

                                    </label>
                                    &nbsp; &nbsp;
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('add_status','0',($Permissions->add_status==0) ? true : false, array('id' => 'add_status2','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.no')); ?>

                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="edit_status1"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.editPermission'); ?></label>
                            <div class="col-sm-10">
                                <div class="radio">
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('edit_status','1',($Permissions->edit_status==1) ? true : false, array('id' => 'edit_status1','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.yes')); ?>

                                    </label>
                                    &nbsp; &nbsp;
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('edit_status','0',($Permissions->edit_status==0) ? true : false, array('id' => 'edit_status2','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.no')); ?>

                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="delete_status1"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.deletePermission'); ?></label>
                            <div class="col-sm-10">
                                <div class="radio">
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('delete_status','1',($Permissions->delete_status==1) ? true : false, array('id' => 'delete_status1','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.yes')); ?>

                                    </label>
                                    &nbsp; &nbsp;
                                    <label class="ui-check ui-check-md" style="margin-bottom: 5px;">
                                        <?php echo Form::radio('delete_status','0',($Permissions->delete_status==0) ? true : false, array('id' => 'delete_status2','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.no')); ?>

                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="link_status"
                                   class="col-sm-2 form-control-label"><?php echo __('backend.status'); ?></label>
                            <div class="col-sm-10">
                                <div class="radio">
                                    <label class="ui-check ui-check-md">
                                        <?php echo Form::radio('status','1',($Permissions->status==1) ? true : false, array('id' => 'status1','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.active')); ?>

                                    </label>
                                    &nbsp; &nbsp;
                                    <label class="ui-check ui-check-md">
                                        <?php echo Form::radio('status','0',($Permissions->status==0) ? true : false, array('id' => 'status2','class'=>'has-value')); ?>

                                        <i class="dark-white"></i>
                                        <?php echo e(__('backend.notActive')); ?>

                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row m-t-md">
                            <div class="col-sm-offset-2 col-sm-10">
                                <button type="submit" class="btn btn-primary  m-t"><i class="material-icons">
                                        &#xe31b;</i> <?php echo __('backend.update'); ?></button>
                                <a href="<?php echo e(route("users")); ?>"
                                   class="btn btn-default m-t"><i class="material-icons">
                                        &#xe5cd;</i> <?php echo __('backend.cancel'); ?></a>
                            </div>
                        </div>
                        <?php echo e(Form::close()); ?>

                    </div>
                </div>

                <div class="tab-pane  <?php echo e($tab_2); ?>" id="tab_custom">
                    <div class="box-body">
                        <?php echo $__env->make('dashboard.permissions.home.custom', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                </div>
            </div>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush("after-scripts"); ?>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#home_status2").click(function () {
                $("#home_details_div").css("display", "none");
            });
            $("#home_status1").click(function () {
                $("#home_details_div").css("display", "block");
            });

            $('#btn_update_form').submit(function (evt) {
                evt.preventDefault();
                $('#link_update_submit').html("<img src=\"<?php echo e(asset('assets/dashboard/images/loading.gif')); ?>\" style=\"height: 25px\"/> <?php echo __('backend.add'); ?>");
                $('#link_update_submit').prop('disabled', true);
                var formData = new FormData(this);
                var xhr = $.ajax({
                    type: "POST",
                    url: "<?php echo route("customLinksUpdate"); ?>",
                    data: formData,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (result) {
                        $('#btn_edit_errors').find("ul").html('');
                        if (result.stat == 'success') {
                            $('#btn_edit_errors').hide();
                            document.getElementById("btn_update_form").reset();
                            $('#link_edit').modal('hide');
                            list_btns();
                        } else {
                            $.each(result.error, function (key, value) {
                                $('#btn_edit_errors').find("ul").append('<li>' + value + '</li>');
                            });
                        }
                        $('#link_update_submit').html("<i class=\"material-icons\">&#xe31b;</i> <?php echo __('backend.save'); ?>");
                        $('#link_update_submit').prop('disabled', false);
                    }
                });
                console.log(xhr);
                return false;
            });
            $('#btn_add_form').submit(function (evt) {
                evt.preventDefault();
                $('#btn_add_form_submit').html("<img src=\"<?php echo e(asset('assets/dashboard/images/loading.gif')); ?>\" style=\"height: 25px\"/> <?php echo __('backend.add'); ?>");
                $('#btn_add_form_submit').prop('disabled', true);
                var formData = new FormData(this);
                var xhr = $.ajax({
                    type: "POST",
                    url: "<?php echo route("customLinksStore"); ?>",
                    data: formData,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (result) {
                        $('#btn_add_errors').find("ul").html('');
                        if (result.stat == 'success') {
                            $('#btn_add_errors').hide();
                            document.getElementById("btn_add_form").reset();
                            $('#link_add').modal('hide');
                            list_btns();
                        } else {
                            $('#btn_add_errors').css('display', 'block');
                            $.each(result.error, function (key, value) {
                                $('#btn_add_errors').find("ul").append('<li>' + value + '</li>');
                            });
                        }
                        $('#btn_add_form_submit').html("<?php echo __('backend.add'); ?>");
                        $('#btn_add_form_submit').prop('disabled', false);
                    }
                });
                console.log(xhr);
                return false;
            });
            list_btns();

            $('#btns_delete_btn').click(function () {
                $(this).html("<img src=\"<?php echo e(asset('assets/dashboard/images/loading.gif')); ?>\" style=\"height: 25px\"/> <?php echo __('backend.yes'); ?>");
                var row_id = $(this).attr('row-id');
                if (row_id != "") {
                    $.ajax({
                        type: "GET",
                        url: "<?php echo route("customLinksDestroy"); ?>/" + row_id + "/<?php echo e($Permissions->id); ?>",
                        success: function (result) {
                            if (result.stat == 'success') {
                                $('#btns_delete_btn').html("<?php echo __('backend.yes'); ?>");
                                $('#btns-delete').modal('hide');
                                $('.modal-backdrop').hide();
                                list_btns();
                            }
                        }
                    });
                }
            });
        });

        function list_btns() {
            $('#buttons_list').html("<div class=\"text-center\"><img class=\"m-b-1\" src=\"<?php echo e(asset('assets/dashboard/images/loading.gif')); ?>\" style=\"height: 35px;\"/></div>");
            $.get("<?php echo e(route("customLinksList")); ?>/<?php echo e($Permissions->id); ?>", function (data) {
                $('#buttons_list').html(data);
            });
        }

        function setToDelLink(rid) {
            $("#btns_delete_btn").attr("row-id", rid);
            $('#btns-delete').modal('show');
        }

        function setToEditLink(rid) {
            $('#link_edit').modal('show');
            $('#buttons_edit_details').html("<div class=\"text-center\"><img class=\"m-b-1\" src=\"<?php echo e(asset('assets/dashboard/images/loading.gif')); ?>\" style=\"height: 35px;\"/></div>");
            $.get("<?php echo e(route("customLinksEdit")); ?>/" + rid + "/<?php echo e($Permissions->id); ?>", function (data) {
                $('#buttons_edit_details').html(data);
            });
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/lionsclub/core/resources/views/dashboard/permissions/edit.blade.php ENDPATH**/ ?>